Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Thu, 13 Nov 2025 16:07:25 -0700

On 11/13/25 3:04 PM, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   7b2038b1b1d4 ("dm: fix zone reset all operation processing")
> 
> Fixes tag
> 
>   Fixes: db9aed869f34 ("block: introduce disk_report_zone()").
> 
> has these problem(s):
> 
>   - Target SHA1 does not exist
> 
> Maybe you meant
> 
> Fixes: fdb9aed869f3 ("block: introduce disk_report_zone()")

Guys, that's now three funky shas that have never existed in my tree.
Can we please exercise a bit more diligence in actually tagging patches
correctly?

Stephen, can't sort them out now, as they are deeper in the stack. So I
guess we'll have to live with these two as well... And I guess I really
need to get my scripts setup to catch these kinds of errors, sadly.

-- 
Jens Axboe